# Using the Patchworks Core API

## Introduction

The Patchworks Core API provides programmatic access to functions that you would otherwise perform in [the dashboard](https://app.wearepatchworks.com/login). If you haven't done so already, [register for a Patchworks account](https://app.wearepatchworks.com/register) and build some process flows!&#x20;

## In this section

* [Authentication](/product-documentation/api-reference/getting-started/using-the-patchworks-core-api/authentication.md)
* [Rate & usage limits](/product-documentation/api-reference/getting-started/using-the-patchworks-core-api/rate-and-usage-limits.md)
* [Common functionality](/product-documentation/api-reference/getting-started/using-the-patchworks-core-api/common-functionality.md)
* [Common headers](/product-documentation/api-reference/getting-started/using-the-patchworks-core-api/common-headers.md)
* [Errors](/product-documentation/api-reference/getting-started/using-the-patchworks-core-api/errors.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.wearepatchworks.com/product-documentation/api-reference/getting-started/using-the-patchworks-core-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
